import Cookies from 'js-cookie'

const TokenKey = 'Authorization'
const NetWorkId = 'networkId'
const UserName = 'username'
const PassWord = 'password'
const Checked = 'checked'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token, { expires: 1 })
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function setNet(networkId) {
  return Cookies.set(NetWorkId, networkId, { expires: 7 })
}

export function setUsername(username) {
  return Cookies.set(UserName, username, { expires: 7 })
}

export function setPassword(password) {
  return Cookies.set(PassWord, password, { expires: 7 })
}

export function getNet(networkId) {
  return Cookies.get(NetWorkId)
}

export function getUsername(username) {
  return Cookies.get(UserName)
}

export function getPassword(password) {
  return Cookies.get(PassWord)
}

export function setChecked(checked) {
  return Cookies.set(Checked, checked, { expires: 7 })
}

export function getChecked() {
  return Cookies.get(Checked)
}

export function removeNet() {
  return Cookies.remove(NetWorkId)
}
export function removeChecked() {
  return Cookies.remove(Checked)
}
export function removeUsername() {
  return Cookies.remove(UserName)
}
export function removePassword() {
  return Cookies.remove(PassWord)
}
